Payments

Get payment by object ID

Required API-key scope: payments:read.

get /payments/{payment_object_id}

Authorizations

x-api-key string header required

Talus API Key in the form key_id.secret. The API also accepts Authorization: ApiKey <key_id.secret>, but the docs UI is configured to send x-api-key.

Path Parameters

payment_object_id string required

Payment object id

200application/json

Payment detail

agent_object_id string | null
consumed_total integer<int64> required
created_at string required
execution_object_id string required
final_state string required
funder string | null
gas_budget_mist integer<int64> required
interface_revision integer | null
locked_budget_mist integer<int64> required
max_budget_mist integer<int64> required
onchain_created_at string | null

Checkpoint timestamp of the on-chain creation event; null for rows projected before on-chain timestamps were indexed (until a backfill + replay fills them).

payment_object_id string required
priority_fee_percentage integer<int64> required
priority_fee_reserve_mist integer<int64> required
refund_reason string | null
skill_id integer | null
source_kind string required
updated_at string required

404

Payment was not found

500

Internal server error